/**Begin D:\PDM_UPGRADE\PDM1\CAS_table.sql **/
 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILLENTRY_E', 'FRECADDRESS', 'NVARCHAR(400)', 'NOT NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAS_AGENTPAYBILLENTRY_E' AND KSQL_COL_NAME IN ('FEDPAMT')) 
 ALTER TABLE T_CAS_AGENTPAYBILLENTRY_E ADD (FEDPAMT DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAS_AGENTPAYBILLENTRY_E' AND KSQL_COL_NAME IN ('FEDPLOCALAMT')) 
 ALTER TABLE T_CAS_AGENTPAYBILLENTRY_E ADD (FEDPLOCALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL );
 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_C', 'FRECEMAIL', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_C', 'FRECBANKADDRESS', 'NVARCHAR(400)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_C', 'FCONTRACTNO', 'NVARCHAR(20)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_C', 'FAUDITPARAM', 'NVARCHAR(200)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_C', 'FPAYMETHOD', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_C', 'FSERLEVEL', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_C', 'FCHECKTYPE', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_C', 'FSENDWAY', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_C', 'FCHECKUSE', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_C', 'FRECSWIFTCODE', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_C', 'FRECROUTINGNUM', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_C', 'FRECOTHERCODE', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_C', 'FFEEPAYER', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_C', 'FINSTRUCTMSG', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_C', 'FRECADDRESS', 'NVARCHAR(400)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILL_E', 'FCONTRACTNO', 'NVARCHAR(20)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILL_E', 'FFEEPAYER', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILL_E', 'FSERLEVEL', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILL_E', 'FINSTRUCTMSG', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILLENTRY', 'FRECEMAIL', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILLENTRY', 'FRECBANKADDRESS', 'NVARCHAR(400)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILLENTRY', 'FRECSWIFTCODE', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILLENTRY', 'FRECROUTINGNUM', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILLENTRY', 'FRECOTHERCODE', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILLENTRY', 'FPAYMETHOD', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILLENTRY', 'FAUDITPARAM', 'NVARCHAR(200)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILLENTRY', 'FCHECKTYPE', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILLENTRY', 'FSENDWAY', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILLENTRY', 'FCHECKUSE', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';


/**End D:\PDM_UPGRADE\PDM1\CAS_table.sql **/
